// Dto
import { User } from './user';

/**
 * User credentials for authentication.
 * @interface UserCredentials
 * @author Daniel Mejia
 */
export interface UserCredentials {
  login: string;
  password: string;
}

/**
 * Chat session object.
 * @interface Session
 * @author Daniel Mejia
 */
export interface Session {
  id: number,
  applicationId: number,
  createdAt: string;
  nonce: number;
  token: string;
  ts: number,
  updatedAt: string;
  user: User;
}
