// Resources
import ConnectyCube from 'react-native-connectycube';

// Resources
import { Auth } from './auth';
import { Channels } from './channels';
import { Chat } from './chat';
import { Users } from './users';
import { AppCredentials, AppConfig } from './dto/app';

export class ChatClient {
  auth!: Auth;

  channels!: Channels;

  chat!: Chat;

  users!: Users;

  async init(credentials: AppCredentials, config?: AppConfig): Promise<void> {
    await ConnectyCube.init(credentials, config);
    console.log(ConnectyCube.chat.dialog.list);
    this.auth = new Auth();
    this.channels = new Channels(ConnectyCube.chat.dialog);
    this.chat = new Chat();
    this.users = new Users();
  }
}

export default new ChatClient();
